Subject: bug#19300: 24.4.51; visual-line-mode messes up after-string rendering when it spans all window columns

From: Dmitry Gutov <[email-masked]>
Date: Tue, 09 Dec 2014 20:38:15 +0200

On 12/09/2014 07:51 PM, Eli Zaretskii wrote:

> So I guess this bug report now boils down to the question why one
> extra pixel, is that correct?

Apparently so, yes.

> When you move the divider between windows, window-resize-pixelwise
> does take effect, but I think only in Emacs 25.0.50, not on the
> release branch.

On emacs-24, too.

Sorry, I've been confused by its nil behavior. The doc says "when a 
frame's pixel size is not a multiple of the
frame's character size, at least one window may get resized
pixelwise even if this option is nil", and it behaves very similarly to 
pixelwise (certainly not column-wise), but still jerky.

Enabling this option indeed makes the behavior better.